#!/bin/bash

# Установка файла описания терминала kitty на системы,
# где отсутствует пакет kitty-terminfo
fix-kitty-terminal-support() {
	mkdir -p $HOME/.terminfo/x
	curl -fsSL https://github.com/kovidgoyal/kitty/raw/master/terminfo/x/xterm-kitty > $HOME/.terminfo/x/xterm-kitty
}

# Настройка mc для работы в терминале kitty
# Необходимо закрыть все экземпляры mc для текущего пользователя
# При вызове функции с параметром -f текущие настройки клавиш
# для работы mc в терминале kitty будут перезаписаны
fix-mc-kitty-support() {
	local cfg="${HOME}/.config/mc/ini"

	[[ "$1" == "-f" ]] && sed -i '/\[terminal:xterm-kitty\]/,/^$/{d}' "${cfg}"
	if [ -w "${cfg}" ]; then
		if ! grep -qF "[terminal:xterm-kitty]" "${cfg}" ; then
			echo >> "${cfg}"
			echo "[terminal:xterm-kitty]" >> "${cfg}"
			echo "copy=xterm" >> "${cfg}"
		fi
	fi
}

